Bug 277961 - Kernel stops loading until any key is pressed
Kernel stops loading until any key is pressed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 04:27 EDT by Michal Klich
Modified: 2009-01-08 23:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:52:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Klich 2007-09-05 04:27:17 EDT
Description of problem:
When i boot kernel it stops on loading udev. I need to press any key or use my 
touchpad to make it load. Then it stops again i have to do it again. It stops 
on almost every single process. I boot my system having space key pressed 
during boot or doing circles on my touchpad.


Version-Release number of selected component (if applicable):
2.6.23-0.161.rc5.fc8 on laptop Compaq v3000z

How reproducible:
Happens every time i boot.
Comment 1 Chuck Ebbert 2007-09-05 18:07:50 EDT
Try kernel parameters (one at a time):

   pci=noacpi
   nolapic_timer
   noapic
Comment 2 Michal Klich 2007-09-06 10:03:03 EDT
I tried all of those, received same results. It stops on starting udev and when
i press any key or use touchpad it loads next thing and stops.
Comment 3 Chuck Ebbert 2007-09-06 15:54:54 EDT
Some more options to try:

  nohz=off highres=off
  clocksource=acpi_pm
  pci=nomsi,nommconf

And try combinations of those and the earlier ones.
Comment 4 Michal Klich 2007-09-07 09:03:16 EDT
Nothing changed. All the time i am having error about pci=routeirq and i need 
to press power button on my laptop so it can go further. If i boot with that 
parameter it hangs on irq 22 and powerbutton helps to go further. It might 
have something to do with that error.
Comment 5 Orion Poplawski 2007-09-13 19:03:54 EDT
I think I'm seeing the same thing during an anaconda install on a Pentium M
laptop, though hard to tell when udev gets started there.  In my case all of the
options in comment #1 got it to stop hanging.  Also, it just hangs once.  We'll
see once the install is complete...

Kernel is 2.6.23-0.174.rc6.fc8
Comment 6 Bug Zapper 2008-04-04 09:45:33 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-11-26 02:45:11 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 shakka.by 2008-12-08 15:38:30 EST
I have the same bug after upgrading to fedora 10.
I used preupgrade to upgrade from fedora 8 to fedora 10.

I have an HP Pavilion DV6610ef computer, with an AMD athlon 64 X2 processor, 2Gb of RAM and an NVIDIA nforce chipset.
Comment 9 Bug Zapper 2009-01-08 23:52:30 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.